using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgGeneralLinkConvertMaterialMultiCouponPromotionInfoDTO
{

    /*
        优惠名称
    */
    private string? couponTitle;


    /*
        优惠券信息，满XX元减XX元，满x件减y元
    */
    private string? couponDesc;


    /*
        优惠金额（元）
    */
    private string? coupoonFee;


    /*
        优惠开始时间
    */
    private string? couponStartTime;


    /*
        优惠结束时间
    */
    private string? couponEndTime;


    /*
        优惠ID
    */
    private string? activityId;


    /*
        优惠剩余数量
    */
    private long? couponRemainCount;



    [JsonPropertyName("coupon_title")]
    public string? CouponTitle
    {
        get => couponTitle;
        set => this.couponTitle = value;
    }

    [JsonPropertyName("coupon_desc")]
    public string? CouponDesc
    {
        get => couponDesc;
        set => this.couponDesc = value;
    }

    [JsonPropertyName("coupoon_fee")]
    public string? CoupoonFee
    {
        get => coupoonFee;
        set => this.coupoonFee = value;
    }

    [JsonPropertyName("coupon_start_time")]
    public string? CouponStartTime
    {
        get => couponStartTime;
        set => this.couponStartTime = value;
    }

    [JsonPropertyName("coupon_end_time")]
    public string? CouponEndTime
    {
        get => couponEndTime;
        set => this.couponEndTime = value;
    }

    [JsonPropertyName("activity_id")]
    public string? ActivityId
    {
        get => activityId;
        set => this.activityId = value;
    }

    [JsonPropertyName("coupon_remain_count")]
    public long? CouponRemainCount
    {
        get => couponRemainCount;
        set => this.couponRemainCount = value;
    }

}

